<?
if($ku['id']==1 || $ku['id']==18043){
echo "<div class='event'><h1>Изменения в Файлах</h1></div>";
echo "<div class='content'><div class='block'>";
if(($_POST['file_data']=='')||($_POST['file_data']==0)){$data_file_post=date("d.m.Y");}else{$data_file_post=$_POST['file_data'];}
if((isset($_POST['file_submit']))||(isset($_GET['segodna']))){
$array_sort=array();

function deistv($dir_ec,$file_ec){
global $array_sort;
array_push($array_sort,$dir_ec.$file_ec);
}

function open_dir_us($dir_nash,$file){
$dir_nash=$dir_nash.$file.'/';
if ($handle = opendir($dir_nash)) {
    while (false !== ($file = readdir($handle))) { 
	$info = pathinfo($file); 
	if((($info['filename']!='')||($info['extension']!=''))&&($info['filename']!='.')){
	if(!is_dir($dir_nash.$file)){
        deistv($dir_nash,$file);
	} else {open_dir_us($dir_nash,$file);}
	}}
closedir($handle); 
}}

$array_sort_gl=array();
function prov_files_ent(){
open_dir_us('../','VcityNet.ru');
global $array_sort;
global $data_file_post;
global $array_sort_gl;
global $prov_fil;
global $result_fil;
$result_fil=count($array_sort);
$i=0;
while($result_fil>$i){
$ere=date("d.m.Y",filemtime($array_sort[$i]));
if($ere==$data_file_post){
array_push($array_sort_gl,$array_sort[$i]);
$fffff=date("d.m.Y в H:i:s",filemtime($array_sort[$i]));
$we=preg_replace("#../VcityNet.ru/#","",$array_sort[$i]);
echo "<font color='#FBEB97'>".$we."</font> <font class='small nickAdmin'>".$fffff."</font><br>";
$prov_fil++;
}
$i++;
}
echo "<br>Всех файлов: ".$result_fil.", Изменено: ".$prov_fil;
}
}

echo '<form method="post" action="?iz_fls" style="display:inline;">';
echo '<input type="text" name="file_data" value="'.$data_file_post.'"> ';
echo '<input type="submit" name="file_submit" value="Проверить">';
echo '</form>';
?> <input value="Сегодня" onClick="location.href='http://<? echo $_SERVER["HTTP_HOST"]; ?>/?iz_fls&segodna'" type="button"/><br><?
echo '<br>';
if((isset($_POST['file_submit']))||(isset($_GET['segodna']))){
prov_files_ent();
if($prov_fil==''){echo "Не было изменений.";}
} else {echo "Проверка не выполнена...";}
echo "</div></div>";
include_once 'inc/foot.php';
} else {header("Location:?myfarm");}
?>
